input[type="range"] {
    flex-grow: 1;
    -webkit-appearance: none;
    height: 4px;
    background: #d3d3d3;
    outline: none;
    opacity: 1;
    -webkit-transition: .2s;
    transition: opacity .2s;
}

    input[type="range"]:not(:disabled):hover {
        opacity: 0.7;
    }

    input[type="range"]::-webkit-slider-thumb {
        -webkit-appearance: none;
        appearance: none;
        width: 12px;
        height: 12px;
        border-radius: 50%;
        background: #3367d6;
        cursor: pointer;
    }

    input[type="range"]::-moz-range-thumb {
        width: 12px;
        height: 12px;
        border-radius: 50%;
        background: #3367d6;
        cursor: pointer;
    }

    input[type="range"]:disabled::-webkit-slider-thumb {
        background: #afafaf;
        cursor: default;
    }

    input[type="range"]:disabled::-moz-range-thumb {
        background: #afafaf;
        cursor: default;
    }

input[type="file"] {
    display: none;
}

.date-form {
    background-image: url(/assets/images/icons/forms.svg);
    background-repeat: no-repeat;
    background-position-x: right 7px;
    background-position-y: center;
    background-size: 10px;
}
/* containers --------------------------------------------------------------------- */

.select-container,
.input-container,
.textarea-container {
    min-width: 0;
}

.checkbox-container,
.checkbox-with-label-container {
    display: flex;
}

    .checkbox-container > input {
        margin-left: auto;
    }

    .checkbox-with-label-container > input {
        margin: 0 5px 0 0;
    }

    .checkbox-with-label-container > label {
        margin: auto 5px auto 0;
    }

/* scrollbar --------------------------------------------------------------------- */

::-webkit-scrollbar-track {
    background-color: transparent;
}

::-webkit-scrollbar {
    height: 10px;
    width: 10px;
    background-color: transparent;
}

::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background-color: var(--blue);
}

* {
    scrollbar-color: var(--blue) var(--white);
    scrollbar-width: thin;
}
